PaymentTransfer

Query MEPS+ transfer result

GET
/openapi/v1/payments/transfer/meps/{referenceNo}

Query the result status of a MEPS+ transfer.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Path Parameters

referenceNo*string

Request reference number, that is, the referenceNo passed when the transfer was initiated

Query Parameters

accountNumber?string

Payer account number. For POBO payout orders, we recommend passing the poboAccountNo from the transfer response to explicitly specify the POBO payout account and certificate used for this query. If accountNumber is not passed, the system automatically matches the corresponding POBO payout account based on referenceNo. Optional for regular orders. Length 32

Header Parameters

X-Channel-Provider*string

Provider identifier, such as GLDB

Response Body

Returns the transfer result.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?

Base fields of business data. The data object of every business response contains these fields (except fee estimation).

Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/transfer/meps/STABO20231121001' \  -H 'X-Channel-Provider: GLDB'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "ba1b1f01-bfdf-460a-b0a8-b16766486cd5",  "data": {    "providerStatusCode": "000000",    "providerMessage": "ok",    "providerRequestSerialNo": "795883203712778240",    "providerResponseSerialNo": "785957885476737024",    "providerTimestamp": "2023-05-17 21:03:48",    "channelSerialNo": "742465990302056448",    "paymentReference": "SGL25087MJBJHKOK",    "status": "SUCCESS",    "coreSerialNo": "FT23131QQQ2P"  }}

MEPS+ transfer POST

Make a real-time local transfer in Singapore through MEPS+ (MAS Electronic Payment System). Features: - SGD only - Real-time settlement - Suitable for high-value local transfers **Notes** - `beneficiaryName`, `beneficiaryAddress`, and `remarks` support only alphanumeric characters, spaces, and the special characters `/ - ? : ( ) . , ' +` - If the beneficiary bank is not a MEPS+ participant, provide the intermediary bank details - For orders paid out via POBO, the response returns `poboAccountNo` / `poboAccountName`. When you call the result query endpoint, we recommend passing `accountNumber=poboAccountNo` to explicitly specify the POBO payout account. If `accountNumber` is not passed, the system automatically matches the corresponding POBO payout account based on `referenceNo`.

Cross-border remittance POST

Make a cross-border remittance through the SWIFT network. **Note**: The GLDB provider does not support cross-border remittances in SGD. **Notes (GLDB provider)** - SGD is not supported - If a BIC code has fewer than 11 characters, pad it with `X` - `beneficiaryName`, `beneficiaryAddress`, and `remarks` support only alphanumeric characters, spaces, and the special characters `/ - ? : ( ) . , ' +` - For orders paid out via POBO, the response returns `poboAccountNo` / `poboAccountName`. When you call the result query endpoint, we recommend passing `accountNumber=poboAccountNo` to explicitly specify the POBO payout account. If `accountNumber` is not passed, the system automatically matches the corresponding POBO payout account based on `referenceNo`.